Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebHitTestResult

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.webkit.QWebHitTestResult

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QWebHitTestResult

extends QtJambiObject
implements java.lang.Cloneable

The `QWebHitTestResult` class provides information about the web page content after a hit test. `QWebHitTestResult` is returned by `QWebFrame::hitTestContent()` to provide information about the content of the web page at the specified position.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QWebHitTestResult()` Constructs a null hit test result.
`QWebHitTestResult(QWebHitTestResult other)` Constructs a hit test result from `other`.

Method Summary
`java.lang.String` | `alternateText()` Returns the alternate text of the element.
`QWebHitTestResult` | `clone()` This method is reimplemented for internal reasons
`QWebFrame` | `frame()` Returns the frame the hit test was executed in.
`static QWebHitTestResult` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QWebHitTestResult instance pointed to by `nativePointer`.
`QUrl` | `imageUrl()` Returns the url of the image.
`boolean` | `isContentEditable()` Returns true if the content is editable by the user; otherwise returns false.
`boolean` | `isContentSelected()` Returns true if the content tested is part of the selection; otherwise returns false.
`boolean` | `isNull()` Returns true if the hit test result is null; otherwise returns false.
`QWebFrame` | `linkTargetFrame()` Returns the frame that will load the link if it is activated.
`java.lang.String` | `linkText()` Returns the text of the link.
`QUrl` | `linkTitle()` Returns the title of the link.
`QUrl` | `linkUrl()` Returns the url to which the link points to.
`static QNativePointer` | `nativePointerArray(QWebHitTestResult[] array)` This function returns a QNativePointer that is pointing to the specified QWebHitTestResult array.
`QPixmap` | `pixmap()` Returns a `QPixmap` containing the image.
`QPoint` | `pos()` Returns the position where the hit test occured.
`java.lang.String` | `title()` Returns the title of the nearest enclosing HTML element.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QWebHitTestResult

    public QWebHitTestResult()

  Constructs a null hit test result.

### QWebHitTestResult

    public QWebHitTestResult(QWebHitTestResult other)

  Constructs a hit test result from `other`.

Method Detail

### alternateText

    public final java.lang.String alternateText()

  Returns the alternate text of the element. This corresponds to the HTML alt attribute.

### frame

    public final QWebFrame frame()

  Returns the frame the hit test was executed in.

### imageUrl

    public final QUrl imageUrl()

  Returns the url of the image.

### isContentEditable

    public final boolean isContentEditable()

  Returns true if the content is editable by the user; otherwise returns false.

### isContentSelected

    public final boolean isContentSelected()

  Returns true if the content tested is part of the selection; otherwise returns false.

### isNull

    public final boolean isNull()

  Returns true if the hit test result is null; otherwise returns false.

### linkTargetFrame

    public final QWebFrame linkTargetFrame()

  Returns the frame that will load the link if it is activated.

### linkText

    public final java.lang.String linkText()

  Returns the text of the link.

### linkTitle

    public final QUrl linkTitle()

  Returns the title of the link.

### linkUrl

    public final QUrl linkUrl()

  Returns the url to which the link points to.

### pixmap

    public final QPixmap pixmap()

  Returns a `QPixmap` containing the image. A null pixmap is returned if the element being tested is not an image.

### pos

    public final QPoint pos()

  Returns the position where the hit test occured.

### title

    public final java.lang.String title()

  Returns the title of the nearest enclosing HTML element.

### fromNativePointer

    public static QWebHitTestResult fromNativePointer(QNativePointer nativePointer)

  This method returns the QWebHitTestResult instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QWebHitTestResult[] array)

  This function returns a QNativePointer that is pointing to the specified QWebHitTestResult array.

### clone

    public QWebHitTestResult clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD